# SynXis

Adding Flip.to to your SynXis booking engine is done in just three steps.

{% hint style="warning" %}
**Before you begin:** you'll need your **Flip.to companyCode**, which you should have received by email. If not, ask our [Customer Success team](https://docs.flip.to/docs/support/customer-success).
{% endhint %}

***

## Step 1: Whitelisting Flip.to

To whitelist Flip.to on SynXis:

* After you sign in to SynXis, click **Setup** → **Channels** → **BE Designer**
* Then click **Manage** → **Allow Domains**
* Click **Add Domain** and enter **https\://\*.flip.to** into the **Domain Field**
* Click **Save** at the top of the page to publish the change

***

## Step 2: Every page snippet

This is the first of two snippets to add to your SynXis booking engine.

* Click **Setup** → **Channels** → **BE Designer**
* Go to **Manage** → **Manage Configuration** → **Edit Active Config** → **General** → **Tracking Hooks**
* Click the pencil icon to edit the **Head Tracking Hook**
* Copy and paste the snippet below into the black field in the center of the page
* Replace **`XX`** with your **Flip.to** **companyCode** (be sure to keep the single quotes)
* Then click **SAVE** at the top right of the page

```javascript
<!-- Flip.to - Booking Engine Integration -->
<script>
!function(b,e,i){(b[e]=b[e]||[]).push({flipto:i, event: 'flipto.configuration.load'})}(window,'fliptoDataLayer',{
	bookingEngine: 'Synxis',
	companyCode: 'XX',
	code: (window.location.search.match(/[\?&]hotel=([^&]+)/i) || ['',window._globalTracking.HOTEL_ID])[1],
        language: window._globalTracking.LangCode
});
</script>
<script async src='https://integration.flip.to/K2X4KDP'></script>
<!-- Flip.to - End Booking Engine Integration -->

```

***

## Step 3: Confirmation page snippet

This is the second snippet to add to your SynXis booking engine.

* Click the pencil icon to edit the **Confirm Reservations Success Tracking Hook**
* Copy and paste the snippet below into the black field in the center of the page
* Replace **`XX`** with your **Flip.to** **companyCode** (be sure to keep the single quotes)
* Then click **SAVE** at the top right of the page
* And the last click is **SAVE** at the top of the page to publish these changes to the engine

```javascript
<!-- Flip.to - Confirmation Page -->
<script> 
!function(n,e,w){ 
w.eventData={category:'Booking_Engine',action:'Load',value:w.amount}; 
(n[e]=n[e]||[]).push({flipto:w,event:'flipto.confirmation.load'}); 
}(window,'fliptoDataLayer', 
{ 
bookingEngine: 'Synxis',
companyCode: 'XX', 
code: (window.location.search.match(/[\?&]hotel=([^&]+)/i) || ['',window._globalTracking.HOTEL_ID])[1],
confirmation: window._globalTracking.Cart[0].ConfirmNo, 
startDate: window._globalTracking.ArrivalDt, 
endDate: window._globalTracking.DepartDt, 
type: window._globalTracking.AddedRoomList[0].RoomCode, 
rateCode: window._globalTracking.AddedRoomList[0].RateCode, 
language: window._globalTracking.LangCode, 
amount: window._globalTracking.TotalCost 
}); 
</script> 
<!-- Flip.to - End Confirmation Page -->

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flip.to/docs/integrations/booking-engines/vendors/synxis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
